# -*- encoding: utf-8 -*-
# stub: daemons 1.4.1 ruby lib

Gem::Specification.new do |s|
  s.name = "daemons".freeze
  s.version = "1.4.1".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "documentation_uri" => "http://www.rubydoc.info/gems/daemons" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Thomas Uehlinger".freeze]
  s.date = "2024-05-24"
  s.description = "    Daemons provides an easy way to wrap existing ruby scripts (for example a\n    self-written server)  to be run as a daemon and to be controlled by simple\n    start/stop/restart commands.\n\n    You can also call blocks as daemons and control them from the parent or just\n    daemonize the current process.\n\n    Besides this basic functionality, daemons offers many advanced features like\n    exception backtracing and logging (in case your ruby script crashes) and\n    monitoring and automatic restarting of your processes if they crash.\n".freeze
  s.email = "thomas.uehinger@gmail.com".freeze
  s.files = ["LICENSE".freeze, "README.md".freeze, "Releases".freeze, "examples".freeze, "examples/call".freeze, "examples/call/call.rb".freeze, "examples/call/call_monitor.rb".freeze, "examples/daemonize".freeze, "examples/daemonize/daemonize.rb".freeze, "examples/run".freeze, "examples/run/ctrl_crash.rb".freeze, "examples/run/ctrl_custom_logfiles.rb".freeze, "examples/run/ctrl_exec.rb".freeze, "examples/run/ctrl_exit.rb".freeze, "examples/run/ctrl_hanging.rb".freeze, "examples/run/ctrl_keep_pid_files.rb".freeze, "examples/run/ctrl_monitor.rb".freeze, "examples/run/ctrl_monitor_multiple.rb".freeze, "examples/run/ctrl_monitor_nocrash.rb".freeze, "examples/run/ctrl_multiple.rb".freeze, "examples/run/ctrl_normal.rb".freeze, "examples/run/ctrl_ontop.rb".freeze, "examples/run/ctrl_optionparser.rb".freeze, "examples/run/ctrl_proc.rb".freeze, "examples/run/ctrl_proc_multiple.rb".freeze, "examples/run/ctrl_proc_rand.rb".freeze, "examples/run/ctrl_proc_simple.rb".freeze, "examples/run/ctrl_slowstop.rb".freeze, "examples/run/myserver.rb".freeze, "examples/run/myserver_crashing.rb".freeze, "examples/run/myserver_exiting.rb".freeze, "examples/run/myserver_hanging.rb".freeze, "examples/run/myserver_slowstop.rb".freeze, "lib".freeze, "lib/daemons".freeze, "lib/daemons.rb".freeze, "lib/daemons/application.rb".freeze, "lib/daemons/application_group.rb".freeze, "lib/daemons/change_privilege.rb".freeze, "lib/daemons/cmdline.rb".freeze, "lib/daemons/controller.rb".freeze, "lib/daemons/daemonize.rb".freeze, "lib/daemons/etc_extension.rb".freeze, "lib/daemons/exceptions.rb".freeze, "lib/daemons/monitor.rb".freeze, "lib/daemons/pid.rb".freeze, "lib/daemons/pidfile.rb".freeze, "lib/daemons/pidmem.rb".freeze, "lib/daemons/reporter.rb".freeze, "lib/daemons/syslogio.rb".freeze, "lib/daemons/version.rb".freeze]
  s.homepage = "https://github.com/thuehlinger/daemons".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.4.22".freeze
  s.summary = "A toolkit to create and control daemons in different ways".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<rake>.freeze, ["~> 12.3".freeze, ">= 12.3.3".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0".freeze])
  s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 3.0".freeze])
end
